// DDExcept.h : interface of the CDDException class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DDEXCEPT_H__BDD2D54C_9F40_11D2_8329_B912F313131A__INCLUDED_)
#define AFX_DDEXCEPT_H__BDD2D54C_9F40_11D2_8329_B912F313131A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDDException

class CDDException : public CException
{
// Construction
public:
	CDDException(BOOL bAutoDelete = TRUE, LPCTSTR strDDMsg = NULL);
	virtual ~CDDException();

// Implementation
public:
	void SetErrorMessage( const CString& strDDMsg ) { m_strMsg = strDDMsg; }
	virtual BOOL GetErrorMessage(LPTSTR lpszError, UINT nMaxError,
		PUINT pnHelpContext = NULL);
	virtual int ReportError(UINT nType = MB_OK, UINT nMessageID = 0);
	int GetDDErrorMessage( UINT nError, CString& strDDMsg);

// Attributes
protected:
	CString m_strMsg;

};

#endif // AFX_DDEXCEPT_H__BDD2D54C_9F40_11D2_8329_B912F313131A__INCLUDED_
