// DocNavigatorView.h : interface of the CDocNavigatorView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DOCNAVIGATORVIEW_H__2D5A2A90_A63F_11D2_8329_B3F98E528D03__INCLUDED_)
#define AFX_DOCNAVIGATORVIEW_H__2D5A2A90_A63F_11D2_8329_B3F98E528D03__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDocNavigatorDoc;

class CDocNavigatorView : public CHtmlView
{
protected: // create from serialization only
	CDocNavigatorView();
	DECLARE_DYNCREATE(CDocNavigatorView)

// Attributes
public:
	CDocNavigatorDoc* GetDocument();

// Operations
public:
	void BrowseURL() { OnFileOpen(); }
	void LoadURL(LPCTSTR strURL);
	void NavigateAnchor(LPCTSTR strItem);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDocNavigatorView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnDocumentComplete(LPCTSTR lpszURL);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDocNavigatorView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	BOOL m_bUpdateTree;

	//{{AFX_MSG(CDocNavigatorView)
	afx_msg void OnFileOpen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DocNavigatorView.cpp
inline CDocNavigatorDoc* CDocNavigatorView::GetDocument()
   { return (CDocNavigatorDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DOCNAVIGATORVIEW_H__2D5A2A90_A63F_11D2_8329_B3F98E528D03__INCLUDED_)
