// GLMinMDIView.h : interface of the CGLMinMDIView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLMINMDIVIEW_H__AC6CDEB7_94EC_11D2_B21D_00C04FBEDB8F__INCLUDED_)
#define AFX_GLMINMDIVIEW_H__AC6CDEB7_94EC_11D2_B21D_00C04FBEDB8F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// Our base class
#include "GLView.h"

class CGLMinMDIView : public CGLView
{
protected: // create from serialization only
	CGLMinMDIView();
	DECLARE_DYNCREATE(CGLMinMDIView)

// Attributes
public:
	CGLMinMDIDoc* GetDocument();

// Operations
public:

protected:
	void DrawGLSquare();
	void RenderView();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGLMinMDIView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGLMinMDIView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	BOOL m_bRenderProportional;
	BOOL m_bRenderFlickerFree;

	//{{AFX_MSG(CGLMinMDIView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnViewOpenglport();
	afx_msg void OnUpdateViewOpenglport(CCmdUI* pCmdUI);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnViewFlickerfree();
	afx_msg void OnUpdateViewFlickerfree(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in GLMinMDIView.cpp
inline CGLMinMDIDoc* CGLMinMDIView::GetDocument()
   { return (CGLMinMDIDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GLMINMDIVIEW_H__AC6CDEB7_94EC_11D2_B21D_00C04FBEDB8F__INCLUDED_)
