// MFCCOMServer.cpp : Implementation of CMFCServer
#include "stdafx.h"
#include "MFCServer.h"
#include "MFCCOMServer.h"

/////////////////////////////////////////////////////////////////////////////
// CMFCServer


STDMETHODIMP CMFCServer::BumpCount(long *piCount)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState())

	// Check our pointer
	ASSERT(piCount != NULL);
	if ( piCount == NULL ) {
		// Invalid pointer, so return an error
		return E_POINTER;
	} // if

	HRESULT hr = E_FAIL;
	try {
		// Clear our return value
		*piCount = InterlockedIncrement(&CMFCServerApp::m_lnNumHits);

		// Clear our HRESULT
		hr = S_OK;
	} // try
	catch (...) {
		// Some error
		hr = E_FAIL;
	} // catch

	return hr;
}
