// MFCCOMServer.h : Declaration of the CMFCServer

#ifndef __MFCSERVER_H_
#define __MFCSERVER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMFCServer
class ATL_NO_VTABLE CMFCServer : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMFCServer, &CLSID_MFCServer>,
	public IMFCServer
{
public:
	CMFCServer()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_MFCSERVER1)
DECLARE_NOT_AGGREGATABLE(CMFCServer)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CMFCServer)
	COM_INTERFACE_ENTRY(IMFCServer)
END_COM_MAP()

// IMFCServer
public:
	STDMETHOD(BumpCount)(/*[out]*/ long * piCount);
};

#endif //__MFCSERVER_H_
