// TreeView.h : interface of the CSplitTreeView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TREEVIEW_H__EF4D772F_2A99_11D1_9172_00C04FBEDB8F__INCLUDED_)
#define AFX_TREEVIEW_H__EF4D772F_2A99_11D1_9172_00C04FBEDB8F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDocNavigatorDoc;

class CSplitTreeView : public CTreeView
{
protected: // create from serialization only
	CSplitTreeView();
	DECLARE_DYNCREATE(CSplitTreeView)

// Attributes
public:
	CDocNavigatorDoc* GetDocument();

// Operations
public:
	void UpdateTree(LPDISPATCH pDocDispatch);

protected:
	void ClearTreeControl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSplitTreeView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSplitTreeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CSplitTreeView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	afx_msg void OnDestroy();
	afx_msg void OnFileOpen();
	afx_msg void OnFilePrint();
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SplitTreeView.cpp
inline CDocNavigatorDoc* CSplitTreeView::GetDocument()
   { return (CDocNavigatorDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPLITTREEVIEW_H__EF4D772F_2A99_11D1_9172_00C04FBEDB8F__INCLUDED_)
