//-----------------------------------------------------------------
// Main Frame Window Object
// C++ Source - MainFrame.cpp
//-----------------------------------------------------------------

//-----------------------------------------------------------------
// Inclusions
//-----------------------------------------------------------------
#include "StdAfx.h"
//-----------------------------------------------------------------
#include "MainFrame.h"
#include "Resource.h"

//-----------------------------------------------------------------
// MFC Debugging Support
//-----------------------------------------------------------------
#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


//-----------------------------------------------------------------
// Message Map & Runtime Support
//-----------------------------------------------------------------
BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
  ON_COMMAND(ID_FILE_INVESTMENTWIZ, OnFileInvestmentWiz)
END_MESSAGE_MAP()

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

//-----------------------------------------------------------------
// Public Constructor(s)/Destructor
//-----------------------------------------------------------------
CMainFrame::CMainFrame() {
}

CMainFrame::~CMainFrame() {
}

//-----------------------------------------------------------------
// Public Member Functions
//-----------------------------------------------------------------
BOOL CMainFrame::Create(const CString& sTitle) {
  CString sClassName;

  sClassName = AfxRegisterWndClass(CS_HREDRAW | CS_VREDRAW,
    ::LoadCursor(NULL, IDC_ARROW),
    (HBRUSH)(COLOR_WINDOW + 1),
    ::LoadIcon(AfxGetInstanceHandle(),
    MAKEINTRESOURCE(IDR_WIZTEST)));

  return CFrameWnd::Create(sClassName, sTitle, WS_OVERLAPPEDWINDOW,
    rectDefault, NULL, MAKEINTRESOURCE(IDR_WIZTEST));
}

//-----------------------------------------------------------------
// Message Handlers
//-----------------------------------------------------------------
void CMainFrame::OnFileInvestmentWiz() {
  // Display the investment wizard
  CInvestmentWiz wiz;
  wiz.SetWizardMode();
  wiz.DoModal();
}
