// IDrive.cpp: implementation of the IDrive class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MFCDispatchDriver.h"
#include "IDrive.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IDrive::IDrive()
{
	CreateDispatch(_T("Autoserv.Document"));
}

IDrive::~IDrive()
{

}

void IDrive::TrackInformation(short nIndex, BSTR * bstrTitle)
{
	DISPID dispid;
	unsigned short* szName = L"TrackInfo";
	SCODE scodeReturnError = 0L;
	HRESULT hresult = m_lpDispatch->GetIDsOfNames(IID_NULL, &szName, 1, LOCALE_USER_DEFAULT, &dispid);
	static BYTE params[] = VTS_I2 "\x48"; // \x48 = VTS_BSTR and VT_MFCBYREF;
	InvokeHelper(dispid, DISPATCH_METHOD, VT_ERROR, (void*) &scodeReturnError, params, nIndex, bstrTitle);
}
    
short IDrive::GetAlbumLength()
{
	DISPID dispid;
	unsigned short* szName = L"AlbumLength";
	short nReturnLength = 0L;
	HRESULT hresult = m_lpDispatch->GetIDsOfNames(IID_NULL, &szName, 1, LOCALE_USER_DEFAULT, &dispid);
	InvokeHelper(dispid, DISPATCH_PROPERTYGET, VT_I2, (void*) &nReturnLength, NULL);
	return nReturnLength;
}

void  IDrive::PutAlbumLength(short nLength)
{
	DISPID dispid;
	unsigned short* szName = L"AlbumLength";
	HRESULT hresult = m_lpDispatch->GetIDsOfNames(IID_NULL, &szName, 1, LOCALE_USER_DEFAULT, &dispid);
	static BYTE params[] = VTS_I2 ;
	InvokeHelper(dispid, DISPATCH_PROPERTYPUT, VT_EMPTY, (void*) NULL, params, nLength);
}

