#if !defined(AFX_MFCACTIVEXCTL_H__D33E5F44_CC5B_11D2_8FBA_00105A5D8D6C__INCLUDED_)
#define AFX_MFCACTIVEXCTL_H__D33E5F44_CC5B_11D2_8FBA_00105A5D8D6C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// MFCActiveXCtl.h : Declaration of the CMFCActiveXCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CMFCActiveXCtrl : See MFCActiveXCtl.cpp for implementation.

class CMFCActiveXCtrl : public COleControl
{
	DECLARE_DYNCREATE(CMFCActiveXCtrl)

// Constructor
public:
	CMFCActiveXCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFCActiveXCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CMFCActiveXCtrl();

	DECLARE_OLECREATE_EX(CMFCActiveXCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CMFCActiveXCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CMFCActiveXCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CMFCActiveXCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CMFCActiveXCtrl)
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CMFCActiveXCtrl)
	BOOL m_acquireData;
	afx_msg void OnAcquireDataChanged();
	short m_bufferSize;
	afx_msg void OnBufferSizeChanged();
	afx_msg SCODE SetAntenna(short Antenna);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CMFCActiveXCtrl)
	void FireDataStream(BSTR Control)
		{FireEvent(eventidDataStream,EVENT_PARAM(VTS_BSTR), Control);}
	void FireThermalValue(short Indicator)
		{FireEvent(eventidThermalValue,EVENT_PARAM(VTS_I2), Indicator);}
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CMFCActiveXCtrl)
	dispidAcquireData = 1L,
	dispidBufferSize = 2L,
	dispidSetAntenna = 3L,
	eventidDataStream = 1L,
	eventidThermalValue = 2L,
	//}}AFX_DISP_ID
	};
private:
	DWORD dwLastTick;
	long m_nDataCount;
	short m_nDataRate;
	short m_nAntenna;
	short m_nThermal;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCACTIVEXCTL_H__D33E5F44_CC5B_11D2_8FBA_00105A5D8D6C__INCLUDED)
