// TrySQL.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "TrySQL.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

using namespace std;

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		cerr << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
	}
	else
	{
      if (argc != 3) {
         cerr << _T("usage: TrySQL <mdb name> <SQL command>") << endl;
         return 1;
      }

      try {
         CDatabase db;

         CString connect;

         connect += "UID=Admin;";
         connect += "DRIVER={Microsoft Access Driver (*.mdb)};";
         connect += "DBQ=";
         connect += argv[1];

         db.OpenEx(connect);
         db.ExecuteSQL(argv[2]);
         db.Close();
      }
      catch (CDBException *xcp) {
         cerr << _T("Database exception: ") << (const TCHAR *) xcp->m_strError << endl;
         xcp->Delete();
      }
   }

	return nRetCode;
}


