// StringFormView.cpp : implementation file
//

#include "stdafx.h"
#include "UNL_MultiEd.h"
#include "StringFormView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStringFormView

IMPLEMENT_DYNCREATE(CStringFormView, CFormView)

CStringFormView::CStringFormView()
	: CFormView(CStringFormView::IDD)
{
	//{{AFX_DATA_INIT(CStringFormView)
	m_sStringToAdd = _T("");
	//}}AFX_DATA_INIT
}

CStringFormView::~CStringFormView()
{
}

void CStringFormView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStringFormView)
	DDX_Control(pDX, IDC_STRING_LIST, m_lbStringListBox);
	DDX_Text(pDX, IDC_STRING_TO_ADD, m_sStringToAdd);
	DDV_MaxChars(pDX, m_sStringToAdd, 255);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStringFormView, CFormView)
	//{{AFX_MSG_MAP(CStringFormView)
	ON_BN_CLICKED(IDC_ADD_STRING, OnAddString)
	ON_BN_CLICKED(IDC_COPY_STRING, OnCopyString)
	ON_BN_CLICKED(IDC_INPUT_FROM_FILE, OnInputFromFile)
	ON_BN_CLICKED(IDC_OUTPUT_TO_FILE, OnOutputToFile)
	ON_BN_CLICKED(IDC_REMOVE_STRING, OnRemoveString)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStringFormView diagnostics

#ifdef _DEBUG
void CStringFormView::AssertValid() const
{
	CFormView::AssertValid();
}

void CStringFormView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CStringFormView message handlers

void CStringFormView::OnAddString() 
{
	// TODO: Add your control notification handler code here
	
}

void CStringFormView::OnCopyString() 
{
	// TODO: Add your control notification handler code here
	
}

void CStringFormView::OnInputFromFile() 
{
	// TODO: Add your control notification handler code here
	
}

void CStringFormView::OnOutputToFile() 
{
	// TODO: Add your control notification handler code here
	
}

void CStringFormView::OnRemoveString() 
{
	// TODO: Add your control notification handler code here
	
}
