// UNL_MultiEdView.cpp : implementation of the CUNL_MultiEdView class
//

#include "stdafx.h"
#include "UNL_MultiEd.h"

#include "UNL_MultiEdDoc.h"
#include "UNL_MultiEdView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUNL_MultiEdView

IMPLEMENT_DYNCREATE(CUNL_MultiEdView, CEditView)

BEGIN_MESSAGE_MAP(CUNL_MultiEdView, CEditView)
	//{{AFX_MSG_MAP(CUNL_MultiEdView)
	ON_COMMAND(ID_FILE_NEW, OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, OnFileOpen)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CEditView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUNL_MultiEdView construction/destruction

CUNL_MultiEdView::CUNL_MultiEdView()
{
	// TODO: add construction code here

}

CUNL_MultiEdView::~CUNL_MultiEdView()
{
}

BOOL CUNL_MultiEdView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Enable word-wrapping

	return bPreCreated;
}

/////////////////////////////////////////////////////////////////////////////
// CUNL_MultiEdView drawing

void CUNL_MultiEdView::OnDraw(CDC* pDC)
{
	CUNL_MultiEdDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CUNL_MultiEdView printing

BOOL CUNL_MultiEdView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default CEditView preparation
	return CEditView::OnPreparePrinting(pInfo);
}

void CUNL_MultiEdView::OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	// Default CEditView begin printing.
	CEditView::OnBeginPrinting(pDC, pInfo);
}

void CUNL_MultiEdView::OnEndPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	// Default CEditView end printing
	CEditView::OnEndPrinting(pDC, pInfo);
}

/////////////////////////////////////////////////////////////////////////////
// CUNL_MultiEdView diagnostics

#ifdef _DEBUG
void CUNL_MultiEdView::AssertValid() const
{
	CEditView::AssertValid();
}

void CUNL_MultiEdView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CUNL_MultiEdDoc* CUNL_MultiEdView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CUNL_MultiEdDoc)));
	return (CUNL_MultiEdDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CUNL_MultiEdView message handlers

void CUNL_MultiEdView::OnFileNew() 
{
}

void CUNL_MultiEdView::OnFileOpen() 
{
}
