
#include "stdafx.h"
#include "XCAT.h"
#include "gu_utils.h"


CXCATContextManager*
GetContextMgr() 
{
    CWinApp* p_aTheApp;
    CXCATApp* p_aXCAT;

    // Global function to get the app
    p_aTheApp = AfxGetApp();

    // C++ will verify that it is of the right type for us
	//    p_aContEditor = dynamic_cast<CContEditorApp*>(p_aTheApp);
    p_aXCAT = (CXCATApp*)(p_aTheApp);
    if (NULL == p_aXCAT)
        return NULL;

    // the app is of the right type,
    // ask the app for the context manager
    return p_aXCAT->GetContextMgr();
}
