// Example1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Example1.h"
#include "Example1Dlg.h"
#include "TestExceptions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExample1Dlg dialog

CExample1Dlg::CExample1Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CExample1Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExample1Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CExample1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExample1Dlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CExample1Dlg, CDialog)
	//{{AFX_MSG_MAP(CExample1Dlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_NESTED_SEH, OnNestedSEH)
	ON_BN_CLICKED(IDC_SEH, OnSEH)
	ON_BN_CLICKED(IDC_SEHTermHandlers, OnSEHTermHandlers)
	ON_BN_CLICKED(IDC_TestMFC, OnTestMFC)
	ON_BN_CLICKED(IDC_NestedMFC, OnNestedMFC)
	ON_BN_CLICKED(IDC_AppException, OnAppException)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExample1Dlg message handlers

BOOL CExample1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CExample1Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

HCURSOR CExample1Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CExample1Dlg::OnOK() 
{
	CDialog::OnOK();
}

void CExample1Dlg::OnSEH() 
{
	// Test nested SEH logic
	CTestSEHExceptions cTE;
	cTE.TestSEH();
}

void CExample1Dlg::OnNestedSEH() 
{
	// Test nested SEH logic
	CTestSEHExceptions cTE;
	cTE.TestNestedSEH();
}



void CExample1Dlg::OnSEHTermHandlers() 
{
	// Test SEH termination handler logic
	CTestSEHExceptions cTE;
	cTE.TestSEHTermHandler();	
}

void CExample1Dlg::OnTestMFC() 
{
	// Test MFC exception handler logic
	CTestMFCExceptions cTE;
	cTE.TestMFC();	
}

void CExample1Dlg::OnNestedMFC() 
{
	// Test MFC nested handler logic
	CTestMFCExceptions cTE;
	cTE.TestNestedMFC();	
}

void CExample1Dlg::OnAppException() 
{
	// Test MFC nested handler logic
	CTestMFCExceptions cTE;
	cTE.TestAppException();	
}
