//-----------------------------------------------------------------
// War Application Object
// C++ Source - War.cpp
//-----------------------------------------------------------------

//-----------------------------------------------------------------
// Inclusions
//-----------------------------------------------------------------
#include "StdAfx.h"
//-----------------------------------------------------------------
#include "War.h"
#include "MainFrame.h"

//-----------------------------------------------------------------
// MFC Debugging Support
//-----------------------------------------------------------------
#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//-----------------------------------------------------------------
// Global Variables
//-----------------------------------------------------------------
CWarApp theApp;


//-----------------------------------------------------------------
// CWarApp Message Map & Runtime Support
//-----------------------------------------------------------------
BEGIN_MESSAGE_MAP(CWarApp, CWinApp)
END_MESSAGE_MAP()

//-----------------------------------------------------------------
// CWarApp Public Constructor(s)/Destructor
//-----------------------------------------------------------------
CWarApp::CWarApp() {
}

CWarApp::~CWarApp() {
}

//-----------------------------------------------------------------
// Public Methods
//-----------------------------------------------------------------
BOOL CWarApp::InitInstance() {
  // Create main window
  m_pMainWnd = new CMainFrame;
  ASSERT(m_pMainWnd);
  if (((CMainFrame*)m_pMainWnd)->Create(m_pszAppName))
  {
    m_pMainWnd->ShowWindow(m_nCmdShow);
    m_pMainWnd->UpdateWindow();
    return TRUE;
  }

  return FALSE;
}
