// DXModeDlg.h : header file
//

#if !defined(AFX_DXMODEDLG_H__3194A707_9D17_11D2_8329_E936D5D4B32C__INCLUDED_)
#define AFX_DXMODEDLG_H__3194A707_9D17_11D2_8329_E936D5D4B32C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// DirectDraw header file
#include "ddraw.h"

/////////////////////////////////////////////////////////////////////////////
// CDXModeDlg dialog

class CDXModeDlg : public CDialog
{
// Construction
public:
	CDXModeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDXModeDlg)
	enum { IDD = IDD_DXMODE_DIALOG };
	CComboBox	m_CDevices;
	CListBox	m_CModes;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDXModeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	
	// Our DirectDraw object
	CComPtr<IDirectDraw2> m_pIDirectDraw2;

	// Generated message map functions
	//{{AFX_MSG(CDXModeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelMode();
	afx_msg void OnSelchangeDevices();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DXMODEDLG_H__3194A707_9D17_11D2_8329_E936D5D4B32C__INCLUDED_)
