// InetFTPDlg.cpp : implementation file
//

#include "stdafx.h"
#include "InetFTP.h"
#include "InetFTPDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInetFTPDlg dialog

CInetFTPDlg::CInetFTPDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CInetFTPDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CInetFTPDlg)
	m_sServer = _T("");
	m_sDirectory = _T("");
	m_sFile = _T("");
	m_sPassword = _T("");
	m_sUser = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CInetFTPDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInetFTPDlg)
	DDX_Control(pDX, IDC_BCONNECT, m_ctlConnect);
	DDX_Control(pDX, IDC_LFILES, m_lbFiles);
	DDX_Text(pDX, IDC_ESERVER, m_sServer);
	DDX_Text(pDX, IDC_EDIRECTORY, m_sDirectory);
	DDX_LBString(pDX, IDC_LFILES, m_sFile);
	DDX_Text(pDX, IDC_EPASSWORD, m_sPassword);
	DDX_Text(pDX, IDC_EUSER, m_sUser);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CInetFTPDlg, CDialog)
	//{{AFX_MSG_MAP(CInetFTPDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BCLOSE, OnBclose)
	ON_BN_CLICKED(IDC_BCONNECT, OnBconnect)
	ON_BN_CLICKED(IDC_BSETDIR, OnBsetdir)
	ON_BN_CLICKED(IDC_BGETFILE, OnBgetfile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInetFTPDlg message handlers

BOOL CInetFTPDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	// Initialize the form variables
	m_sServer = "ftp.brba.com";
	m_sDirectory = "";
	m_sUser = "anonymous";
	m_sPassword = "user@email.com";

	// And the FTP connection object
	m_fcConnection = NULL;

	// Update the screen
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CInetFTPDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CInetFTPDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CInetFTPDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CInetFTPDlg::OnBclose() 
{
	// TODO: Add your control notification handler code here

	// End the Internet session
	m_isSession.Close();

	// Close the application
	OnOK();	
}

void CInetFTPDlg::OnBconnect() 
{
	// TODO: Add your control notification handler code here

	// Get the data from the screen
	UpdateData(TRUE);

	// Do we have a current connection?
	if (!m_fcConnection)
	{
		// No, do we have a server name?
		if (m_sServer != "")
		{
			// Yes, open a connection
			m_fcConnection = m_isSession.GetFtpConnection(m_sServer, m_sUser, m_sPassword);

			// Did we get a connection?
			if (m_fcConnection)
			{
				// Yes, get the current directory
				m_fcConnection->GetCurrentDirectory(m_sDirectory);

				// Change the text on the button to close the connection
				m_ctlConnect.SetWindowText("&Close");

				// Load the list of files in the current directory
				LoadListOfFiles();

				// Update the screen
				UpdateData(FALSE);
			}
		}
	}
	else	// We have a current connection
	{
		// Close the connection
		m_fcConnection->Close();

		// Delete the connection object
		delete m_fcConnection;

		// Reinitialize the connection object pointer
		m_fcConnection = NULL;

		// Reset the screen controls and variables
		m_ctlConnect.SetWindowText("&Connect");
		m_sDirectory = "";

		// Reset the contents of the directory list
		m_lbFiles.ResetContent();

		// Update the screen
		UpdateData(FALSE);
	}
}

void CInetFTPDlg::OnBsetdir() 
{
	// TODO: Add your control notification handler code here

	// Get the data from the screen
	UpdateData(TRUE);

	// Do we have a directory name?
	if (m_sDirectory != "")
	{
		// Move to the specified directory
		m_fcConnection->SetCurrentDirectory((LPCTSTR)m_sDirectory);

		// Get the current directory name (if we were
		// successful, it should be the specified new 
		// directory)
		m_fcConnection->GetCurrentDirectory(m_sDirectory);

		// Load the list of files in the new directory
		LoadListOfFiles();

		// Update the screen
		UpdateData(FALSE);
	}
}

void CInetFTPDlg::LoadListOfFiles()
{
	// Reset the contents of the list of files
	m_lbFiles.ResetContent();

	// Create a file find object
	CFtpFileFind fFiles(m_fcConnection);
	// And variables to keep track of the current file name
	// and if there are any more files
	CString sFileName;
	BOOL bMoreFiles;

	// Find the first file
	bMoreFiles = fFiles.FindFile(NULL);

	// Loop while there are more files to find
	while (bMoreFiles)
	{
		// Find the next file
		bMoreFiles = fFiles.FindNextFile();
		// Get the file name
		sFileName = fFiles.GetFileName();
		// Is the file a directory?
		if (fFiles.IsDirectory())
			// If so, then specify that it's a directory
			sFileName += "     <DIR>";
		// Add the file name to the list of files
		m_lbFiles.AddString((LPCTSTR)sFileName);
	}
	// Close the file find object
	fFiles.Close();
}

void CInetFTPDlg::OnBgetfile() 
{
	// TODO: Add your control notification handler code here

	// Get the data from the screen
	UpdateData(TRUE);

	// Do we have a file name?
	if (m_sFile != "")
	{
		// Is it a directory?
		if (m_sFile.Right(5) == "<DIR>")
			// If so, warn the user
			MessageBox("Unable to download directory.");
		else
		{
			// Get the name of the destination file
			CFileDialog ldFile(FALSE, NULL, (LPCTSTR)m_sFile);
			if (ldFile.DoModal() == IDOK)
			{
				// Get the specified file
				if (!m_fcConnection->GetFile((LPCTSTR)m_sFile, (LPCTSTR)ldFile.GetFileName()))
					// If unsuccessful, tell the user
					MessageBox("Error getting file");
			}
		}
	}
}

