// InetFTPDlg.h : header file
//

#if !defined(AFX_INETFTPDLG_H__00F9EBCB_A1F8_11D2_8DDF_00A02429D966__INCLUDED_)
#define AFX_INETFTPDLG_H__00F9EBCB_A1F8_11D2_8DDF_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CInetFTPDlg dialog

class CInetFTPDlg : public CDialog
{
// Construction
public:
	CInetFTPDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CInetFTPDlg)
	enum { IDD = IDD_INETFTP_DIALOG };
	CButton	m_ctlConnect;
	CListBox	m_lbFiles;
	CString	m_sServer;
	CString	m_sDirectory;
	CString	m_sFile;
	CString	m_sPassword;
	CString	m_sUser;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInetFTPDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CInetFTPDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBclose();
	afx_msg void OnBconnect();
	afx_msg void OnBsetdir();
	afx_msg void OnBgetfile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void LoadListOfFiles();
	CFtpConnection * m_fcConnection;
	CInternetSession m_isSession;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INETFTPDLG_H__00F9EBCB_A1F8_11D2_8DDF_00A02429D966__INCLUDED_)
