#if !defined(AFX_SPLITFRM_H__D5C9B08D_0F50_11D2_B1C7_00C04FBEDB8F__INCLUDED_)
#define AFX_SPLITFRM_H__D5C9B08D_0F50_11D2_B1C7_00C04FBEDB8F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ToggleSplitWnd.h"

class CSplitFrame : public CFrameWnd
{
protected: // create from serialization / derivation only
	CSplitFrame(CRuntimeClass* pView1, CRuntimeClass* pView2);
	DECLARE_DYNAMIC(CSplitFrame)

// Attributes
public:

// Operations
public:
	BOOL IsHorizontal() const { return m_wndSplitter.BarIsHorizontal(); }
	void SetInitialOrientation(BOOL bHorizontal)
	{
		// Store initial orientation
		m_bInitialOrientation = bHorizontal;
	}

	CWnd* RetrieveView(int nView);

protected:
	void MakeSplitSizes(BOOL bHorizontal, CSize& sPane1, CSize& sPane2);
	void ShowView(int nView);
	void CacheSize();
	CSize ReadCachedSize(BOOL bHorizontal);

// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSplitFrame)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSplitFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);

// Generated message map functions
protected:
	BOOL m_bInitialOrientation;
	CSize m_splitSizes[2];
	CToggleSplitWnd m_wndSplitter;
	CRuntimeClass* m_pView1;
	CRuntimeClass* m_pView2;

	//{{AFX_MSG(CSplitFrame)
	afx_msg void OnToggleSplitter();
	afx_msg void OnUpdateToggleSplitter(CCmdUI* pCmdUI);
	afx_msg void OnViewBoth();
	afx_msg void OnViewFirstView();
	afx_msg void OnViewSecondView();
//	afx_msg void OnFileOpen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SPLITFRM_H__D5C9B08D_0F50_11D2_B1C7_00C04FBEDB8F__INCLUDED_)
