// StringEncrypt.h : Declaration of the CStringEncrypt

#ifndef __STRINGENCRYPT_H_
#define __STRINGENCRYPT_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CStringEncrypt
class ATL_NO_VTABLE CStringEncrypt : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CStringEncrypt, &CLSID_StringEncrypt>,
	public IStringEncrypt
{
public:
	CStringEncrypt()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_STRINGENCRYPT)
DECLARE_NOT_AGGREGATABLE(CStringEncrypt)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CStringEncrypt)
	COM_INTERFACE_ENTRY(IStringEncrypt)
END_COM_MAP()

// Attributes
public:
	enum { MaxPasswordLength = 32, MaxPasswordBuffer = 34};

// IStringEncrypt
public:
	STDMETHOD(Decrypt)(/*[in]*/ BSTR bstrMunged, /*[out]*/ BSTR * pbstrClearText);
	STDMETHOD(Encrypt)(/*[in]*/ BSTR bstrClearText, /*[out]*/ BSTR * pbstrMunged);
};

#endif //__STRINGENCRYPT_H_
