#if !defined(AFX_TABBAR_H__BF7A3267_8EBD_11D2_B219_00C04FBEDB8F__INCLUDED_)
#define AFX_TABBAR_H__BF7A3267_8EBD_11D2_B219_00C04FBEDB8F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TabBar.h : header file
//

// Our tabbed sheet mechanics
#include "TabSheet.h"

// Our tabbed property sheets
#include "ObjectPage.h"
#include "LightPage.h"

/////////////////////////////////////////////////////////////////////////////
// CTabBar dialog

class CTabBar : public CDialogBar
{
// Construction
public:
	CTabBar();   // standard constructor
	void LoadPages();

// Dialog Data
	//{{AFX_DATA(CTabBar)
	enum { IDD = IDD_CONTROLS };
	CTabSheet	m_CControlTab;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTabBar)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CObjectPage m_pgObject;
	CLightPage m_pgLight;

	// Generated message map functions
	//{{AFX_MSG(CTabBar)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABBAR_H__BF7A3267_8EBD_11D2_B219_00C04FBEDB8F__INCLUDED_)
