// WebDlgBox.h : header file
//
//{{AFX_INCLUDES()
#include "webbrowser2.h"
//}}AFX_INCLUDES

#if !defined(AFX_WEBDLGBOX_H__A1582E07_A1BC_11D2_8329_B28A8D2EBF19__INCLUDED_)
#define AFX_WEBDLGBOX_H__A1582E07_A1BC_11D2_8329_B28A8D2EBF19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWebDlg dialog

class CWebDlg : public CDialog
{
// Construction
public:
	CWebDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWebDlg)
	enum { IDD = IDD_WEBDLG_DIALOG };
	CComboBox	m_CURLBox;
	CTreeCtrl	m_CDHTMLTree;
	CWebBrowser2	m_CExplorer;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWebDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWebDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLoad();
	afx_msg void OnForward();
	afx_msg void OnBack();
	afx_msg void OnBrowse();
	afx_msg void OnDocumentComplete(LPDISPATCH pDisp, VARIANT FAR* URL);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WEBDLGBOX_H__A1582E07_A1BC_11D2_8329_B28A8D2EBF19__INCLUDED_)
