// MFCSampleDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MFCSample.h"
#include "MFCSampleDlg.h"
#include "CustomDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	virtual void OnOK();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMFCSampleDlg dialog

CMFCSampleDlg::CMFCSampleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMFCSampleDlg::IDD, pParent)
	, m_currentColor(RGB(0,0,255))
{
	//{{AFX_DATA_INIT(CMFCSampleDlg)
	m_fileName = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMFCSampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMFCSampleDlg)
	DDX_Control(pDX, IDC_ST_COLOR, m_stColor);
	DDX_Control(pDX, IDC_PB_CUSTOM_MODELESS, m_pbCustomModeless);
	DDX_Control(pDX, IDC_ST_FONT, m_stFont);
	DDX_Text(pDX, IDC_ST_FILE, m_fileName);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMFCSampleDlg, CDialog)
	//{{AFX_MSG_MAP(CMFCSampleDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_PB_FILE, OnPbFile)
	ON_BN_CLICKED(IDC_PB_FONT, OnPbFont)
	ON_BN_CLICKED(IDC_PB_COLOR, OnPbColor)
	ON_BN_CLICKED(IDC_PB_CUSTOM_MODAL, OnPbCustomModal)
	ON_BN_CLICKED(IDC_PB_CUSTOM_MODELESS, OnPbCustomModeless)
	ON_WM_PARENTNOTIFY()
	ON_BN_CLICKED(IDC_PB_PRINT, OnPbPrint)
	ON_NOTIFY_EX(TTN_NEEDTEXT, 0, OnNeedToolTipText)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMFCSampleDlg message handlers

BOOL CMFCSampleDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	EnableToolTips();
	DrawBitmapWithColor();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMFCSampleDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMFCSampleDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMFCSampleDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMFCSampleDlg::OnPbFile() 
{
	CFileDialog fileDlg(TRUE);

	if (fileDlg.DoModal() == IDOK) {
		m_fileName = fileDlg.GetFileName();
		UpdateData(FALSE);
	}
}

void CMFCSampleDlg::OnPbFont() 
{
	CFontDialog fontDlg;	

	if (fontDlg.DoModal() == IDOK) {
		CFont   font;
		LOGFONT logFont;

		fontDlg.GetCurrentFont(&logFont);	
		font.CreateFontIndirect(&logFont);

		m_stFont.SetFont(&font);	
	}
}

void CMFCSampleDlg::OnPbColor() 
{
	CColorDialog colorDlg(m_currentColor);

	if (colorDlg.DoModal() == IDOK) {
		m_currentColor = colorDlg.GetColor();
		DrawBitmapWithColor();
	}	
}

void CMFCSampleDlg::DrawBitmapWithColor()
{
	CWindowDC wndDC(this);
	CDC       memDC;
	CRect     rcColor;
	CBrush    brush(m_currentColor);

	m_stColor.GetClientRect(&rcColor);

	memDC.CreateCompatibleDC(&wndDC);

	m_stColor.SetBitmap(0);
	m_bmpColor.Detach();
	m_bmpColor.CreateCompatibleBitmap(&wndDC, rcColor.right, rcColor.bottom);
	
	memDC.SelectObject(&m_bmpColor);
	memDC.SelectObject(&brush);
	memDC.Rectangle(&rcColor);

	m_stColor.SetBitmap(m_bmpColor);
	m_stColor.Invalidate();
}

void CMFCSampleDlg::OnPbCustomModal() 
{
	CCustomDlg custDlg;
	
	if (custDlg.DoModal() == IDOK) {
		MessageBox("OK Pressed");
	}
	else {
		MessageBox("Cancel Pressed");
	}
}

void CMFCSampleDlg::OnPbCustomModeless() 
{
	if (m_custDlg.m_hWnd == 0) {
		m_custDlg.Create(IDD_CUSTOM_DIALOG2);
		m_custDlg.ShowWindow(SW_SHOW);
	}
	else {
		m_custDlg.ShowWindow(SW_HIDE);
		m_custDlg.DestroyWindow();
	}
}

void CMFCSampleDlg::OnParentNotify(UINT message, LPARAM lParam) 
{
	CDialog::OnParentNotify(message, lParam);

	if ((message == WM_CLOSE) && (lParam == IDD_CUSTOM_DIALOG2)) {
		OnPbCustomModeless();
	}
}

void CMFCSampleDlg::OnPbPrint() 
{
	CPrintDialog printDlg(FALSE);

	if (printDlg.DoModal() == IDOK) {
		CDC printerDC;
		
		printerDC.Attach(printDlg.GetPrinterDC());

		int cx = printerDC.GetDeviceCaps(PHYSICALWIDTH);
		int cy = printerDC.GetDeviceCaps(PHYSICALHEIGHT);

		// add printing logic here...
		printerDC.StartDoc("MFCSample Document");
		printerDC.StartPage();

		DrawClock(printerDC, __min(cx, cy));

		printerDC.EndPage();
		printerDC.EndDoc();

		CString msg = "Printed to: ";
		msg += printDlg.GetDeviceName();
		MessageBox(msg);
	}
}

void CMFCSampleDlg::DrawClock(CDC &dc, int size)
{
	int base = size/10;

	CRect rcOuter(base, base, size - base, size - base);
	CRect rcInner(base * 2, base * 2, size - base * 2, size - base * 2);

	dc.Ellipse(rcOuter);
	dc.Ellipse(rcInner);

	CFont font;

	font.CreateFont(base, 0, 0, 0, 0, 0, 0, 
		ANSI_CHARSET, OUT_TT_PRECIS, CLIP_TT_ALWAYS, 
		DEFAULT_QUALITY, DEFAULT_PITCH, TMPF_TRUETYPE,
		"Arial");

	dc.SelectObject(&font);
	dc.SetBkMode(TRANSPARENT);

	CRect charSize;
	dc.DrawText("0", &charSize, DT_CALCRECT);

	const double TwoPi = 2.0 * 3.1415927;

	CPoint  ctr(size/2, size/2);
	double  r = (7.0 * size)/20.0;
	CString hour;
	
	for (int i=1; i<=12; i++) {
		int x = size/2 + int(+r * sin(double(i) * TwoPi/12.0)) - ((i/10 + 1) * charSize.Width()/2);
		int y = size/2 + int(-r * cos(double(i) * TwoPi/12.0)) - charSize.Height()/2;

		hour.Format("%u", i);
		
		dc.TextOut(x, y, hour);
	}

	COleDateTime dateTime = COleDateTime::GetCurrentTime();

	double min = dateTime.GetMinute();
	double hr  = dateTime.GetHour() + min/60.0;

	double rHr  = size/8.0;
	double rMin = size/4.0;

	dc.MoveTo(size/2, size/2);
	dc.LineTo(size/2 + int(+rHr * sin(hr * TwoPi/12.0)),
			  size/2 + int(-rHr * cos(hr * TwoPi/12.0)));
	
	dc.MoveTo(size/2, size/2);
	dc.LineTo(size/2 + int(+rMin * sin(min * TwoPi/60.0)),
		      size/2 + int(-rMin * cos(min * TwoPi/60.0)));
}

BOOL CMFCSampleDlg::OnNeedToolTipText(UINT id, NMHDR * pNMHdr, LRESULT * pResult)
{
	TOOLTIPTEXT *pTTT = (TOOLTIPTEXT *) pNMHdr;

	if (pTTT->uFlags & TTF_IDISHWND) {
		UINT idCtrl = ::GetDlgCtrlID(HWND(pTTT->hdr.idFrom));
		
		if (idCtrl == IDC_PB_CUSTOM_MODELESS && m_custDlg.m_hWnd) {
			pTTT->lpszText = MAKEINTRESOURCE(IDS_TT_PB_CUSTOM_MODELESS2);
		}
		else {
			pTTT->lpszText = MAKEINTRESOURCE(idCtrl);
		}

		pTTT->hinst    = AfxGetResourceHandle();

		return TRUE;
	}

	return FALSE;
}

void CAboutDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

void CAboutDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	
	CDialog::OnClose();
}
