// MFCSampleDlg.h : header file
//

#if !defined(AFX_MFCSAMPLEDLG_H__A558BFD1_B3B0_11D2_8FB2_00400566CE21__INCLUDED_)
#define AFX_MFCSAMPLEDLG_H__A558BFD1_B3B0_11D2_8FB2_00400566CE21__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CustomDlg2.h"

/////////////////////////////////////////////////////////////////////////////
// CMFCSampleDlg dialog

class CMFCSampleDlg : public CDialog
{
// Construction
public:
	CMFCSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMFCSampleDlg)
	enum { IDD = IDD_MFCSAMPLE_DIALOG };
	CStatic	m_stColor;
	CButton	m_pbCustomModeless;
	CStatic	m_stFont;
	CString	m_fileName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFCSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DrawClock(CDC& dc, int size);
	CCustomDlg2 m_custDlg;
	CBitmap m_bmpColor;
	void DrawBitmapWithColor();
	COLORREF m_currentColor;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMFCSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPbFile();
	afx_msg void OnPbFont();
	afx_msg void OnPbColor();
	afx_msg void OnPbCustomModal();
	afx_msg void OnPbCustomModeless();
	afx_msg void OnParentNotify(UINT message, LPARAM lParam);
	afx_msg void OnPbPrint();
	afx_msg BOOL OnNeedToolTipText(UINT id, NMHDR * pTTTStruct, LRESULT * pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCSAMPLEDLG_H__A558BFD1_B3B0_11D2_8FB2_00400566CE21__INCLUDED_)
