//-----------------------------------------------------------------
// Investment Wizard Object
// C++ Header - InvestmentWiz.h
//-----------------------------------------------------------------

#ifndef __INVESTMENTWIZ_H__
#define __INVESTMENTWIZ_H__

//-----------------------------------------------------------------
// Inclusions
//-----------------------------------------------------------------
#include "Resource.h"

//-----------------------------------------------------------------
// CInvestWizData Class - PersonalInfo Dialog Object
//-----------------------------------------------------------------
class CInvestWizData : public CObject {
  // Public Member Data
public:
  CString m_sFName;
  CString m_sMInitial;
  CString m_sLName;
  float   m_fAmount;
  float   m_fReturnRate;
  int     m_nPeriod;

  // Public Constructor(s)/Destructor
public:
  CInvestWizData();
};

//-----------------------------------------------------------------
// CInvestWizPage1 Class - Page 1 Investment Wizard Object
//-----------------------------------------------------------------
class CInvestWizPage1 : public CPropertyPage {
  // Private Member Data
private:
  CBitmap m_bitmap;

  // Public Member Functions
public:
  BOOL          OnInitDialog();
  BOOL          OnSetActive();
  void          DoDataExchange(CDataExchange* pDX);

  // Message Handlers
public:
  afx_msg void  OnPaint();

  // Message Map & Runtime Support
protected:
  DECLARE_MESSAGE_MAP()
};

//-----------------------------------------------------------------
// CInvestWizPage2 Class - Page 2 Investment Wizard Object
//-----------------------------------------------------------------
class CInvestWizPage2 : public CPropertyPage {
  // Private Member Data
private:
  CBitmap m_bitmap;

  // Public Member Functions
public:
  BOOL          OnInitDialog();
  BOOL          OnSetActive();
  void          DoDataExchange(CDataExchange* pDX);

  // Message Handlers
public:
  afx_msg void  OnPaint();

  // Message Map & Runtime Support
protected:
  DECLARE_MESSAGE_MAP()
};

//-----------------------------------------------------------------
// CInvestWizPage3 Class - Page 3 Investment Wizard Object
//-----------------------------------------------------------------
class CInvestWizPage3 : public CPropertyPage {
  // Private Member Data
private:
  CBitmap m_bitmap;

  // Public Member Functions
public:
  BOOL          OnInitDialog();
  BOOL          OnSetActive();

  // Message Handlers
public:
  afx_msg void  OnPaint();

  // Message Map & Runtime Support
protected:
  DECLARE_MESSAGE_MAP()
};

//-----------------------------------------------------------------
// CInvestmentWiz Class - Investment Wizard Object
//-----------------------------------------------------------------
class CInvestmentWiz : public CPropertySheet {
  // Private Member Data
private:
  CInvestWizPage1 m_page1;
  CInvestWizPage2 m_page2;
  CInvestWizPage3 m_page3;

  // Public Constructor(s)/Destructor
public:
                CInvestmentWiz();

  // Message Map & Runtime Support
protected:
  DECLARE_MESSAGE_MAP()
};

#endif
