//-----------------------------------------------------------------
// Wizard Test Application Object
// C++ Source - WizTest.cpp
//-----------------------------------------------------------------

//-----------------------------------------------------------------
// Inclusions
//-----------------------------------------------------------------
#include "StdAfx.h"
//-----------------------------------------------------------------
#include "WizTest.h"
#include "MainFrame.h"

//-----------------------------------------------------------------
// MFC Debugging Support
//-----------------------------------------------------------------
#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//-----------------------------------------------------------------
// Global Variables
//-----------------------------------------------------------------
CWizTestApp theApp;


//-----------------------------------------------------------------
// Message Map & Runtime Support
//-----------------------------------------------------------------
BEGIN_MESSAGE_MAP(CWizTestApp, CWinApp)
END_MESSAGE_MAP()

//-----------------------------------------------------------------
// Public Constructor(s)/Destructor
//-----------------------------------------------------------------
CWizTestApp::CWizTestApp() {
}

CWizTestApp::~CWizTestApp() {
}

//-----------------------------------------------------------------
// Public Member Functions
//-----------------------------------------------------------------
BOOL CWizTestApp::InitInstance() {
  // Create main window
  m_pMainWnd = new CMainFrame;
  ASSERT(m_pMainWnd);
  if (((CMainFrame*)m_pMainWnd)->Create(m_pszAppName)) {
    m_pMainWnd->ShowWindow(m_nCmdShow);
    m_pMainWnd->UpdateWindow();
    return TRUE;
  }

  return FALSE;
}
