//-----------------------------------------------------------------
// Main Frame Window Object
// C++ Header - MainFrame.h
//-----------------------------------------------------------------

#ifndef __MAINFRAME_H__
#define __MAINFRAME_H__

//-----------------------------------------------------------------
// CMainFrame Class - Main Frame Window Object
//-----------------------------------------------------------------
class CMainFrame : public CFrameWnd {
  // Member Variables
protected:
  CToolBar      m_wndToolBar;
  CStatusBar    m_wndStatusBar;
  CSplitterWnd  m_wndSplitter;

  // Public Constructor(s)/Destructor
public:
                CMainFrame();
  virtual       ~CMainFrame();

  // Public Member Functions
public:
  virtual BOOL  PreCreateWindow(CREATESTRUCT& cs);

  // Message Handlers
public:
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

  // Message Map & Runtime Support
protected:
  DECLARE_MESSAGE_MAP()
  DECLARE_DYNCREATE(CMainFrame)
};

#endif
