// CntrItem.h : interface of the CActiveDocContainerCntrItem class
//

#if !defined(AFX_CNTRITEM_H__E2975D27_D4E5_11D2_8FBA_00105A5D8D6C__INCLUDED_)
#define AFX_CNTRITEM_H__E2975D27_D4E5_11D2_8FBA_00105A5D8D6C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CActiveDocContainerDoc;
class CActiveDocContainerView;

class CActiveDocContainerCntrItem : public COleDocObjectItem
{
	DECLARE_SERIAL(CActiveDocContainerCntrItem)

// Constructors
public:
	CActiveDocContainerCntrItem(CActiveDocContainerDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CActiveDocContainerDoc* GetDocument()
		{ return (CActiveDocContainerDoc*)COleDocObjectItem::GetDocument(); }
	CActiveDocContainerView* GetActiveView()
		{ return (CActiveDocContainerView*)COleDocObjectItem::GetActiveView(); }

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CActiveDocContainerCntrItem)
	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual void OnActivate();
	protected:
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	virtual BOOL CanActivate();
	//}}AFX_VIRTUAL

// Implementation
public:
	~CActiveDocContainerCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CNTRITEM_H__E2975D27_D4E5_11D2_8FBA_00105A5D8D6C__INCLUDED_)
