// ControlDialogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ControlDialog.h"
#include "ControlDialogDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControlDialogDlg dialog

CControlDialogDlg::CControlDialogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CControlDialogDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CControlDialogDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CControlDialogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CControlDialogDlg)
	DDX_Control(pDX, IDC_THERMAL_OUT, m_editThermal);
	DDX_Control(pDX, IDC_POWER, m_checkPower);
	DDX_Control(pDX, IDC_DATAOUT_LIST1, m_listData);
	DDX_Control(pDX, IDC_MFCACTIVEXCTRL1, m_control);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CControlDialogDlg, CDialog)
	//{{AFX_MSG_MAP(CControlDialogDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_POWER, OnPower)
	ON_BN_CLICKED(IDC_HI_RADIO1, OnHiRadio1)
	ON_BN_CLICKED(IDC_LO_RADIO3, OnLoRadio3)
	ON_BN_CLICKED(IDC_MED_RADIO2, OnMedRadio2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControlDialogDlg message handlers

BOOL CControlDialogDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	m_editThermal.SetWindowText("Normal");
	m_control.SetAntenna(1);
	m_control.SetAcquireData(false);
	CButton* pButton = (CButton*)GetDlgItem(IDC_HI_RADIO1); 
	pButton->SetCheck(true);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CControlDialogDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CControlDialogDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CControlDialogDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BEGIN_EVENTSINK_MAP(CControlDialogDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CControlDialogDlg)
	ON_EVENT(CControlDialogDlg, IDC_MFCACTIVEXCTRL1, 1 /* DataStream */, OnDataStreamMfcactivexctrl1, VTS_BSTR)
	ON_EVENT(CControlDialogDlg, IDC_MFCACTIVEXCTRL1, 2 /* ThermalValue */, OnThermalValueMfcactivexctrl1, VTS_I2)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CControlDialogDlg::OnDataStreamMfcactivexctrl1(LPCTSTR Control) 
{
	m_listData.AddString(Control);	
}

void CControlDialogDlg::OnThermalValueMfcactivexctrl1(short Indicator) 
{
	switch(Indicator) 
	{
	case 1:
		m_editThermal.SetWindowText("Overload");
		m_checkPower.SetCheck(false);
		break;
	case 2:
		m_editThermal.SetWindowText("Uncomfortable");
		break;
	case 3:
		m_editThermal.SetWindowText("Normal");
		break;
	}
}

void CControlDialogDlg::OnPower() 
{
	if (m_checkPower.GetCheck())
		m_control.SetAcquireData(true);
	else
		m_control.SetAcquireData(false);
}

void CControlDialogDlg::OnHiRadio1() 
{
	m_control.SetAntenna(1);	
}

void CControlDialogDlg::OnMedRadio2() 
{
	m_control.SetAntenna(2);	
}

void CControlDialogDlg::OnLoRadio3() 
{
	m_control.SetAntenna(3);	
}
