// ControlProxyView.cpp : implementation of the CControlProxyView class
//

#include "stdafx.h"
#include "ControlProxy.h"

#include "ControlProxyDoc.h"
#include "MFCActiveX.h"
#include "ControlProxyView.h"

#include "afxpriv2.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CControlProxyView

IMPLEMENT_DYNCREATE(CControlProxyView, CView)

BEGIN_MESSAGE_MAP(CControlProxyView, CView)
	//{{AFX_MSG_MAP(CControlProxyView)
	ON_WM_CREATE()
	ON_WM_CANCELMODE()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControlProxyView construction/destruction

CControlProxyView::CControlProxyView()
{
	// TODO: add construction code here

}

CControlProxyView::~CControlProxyView()
{
}

BOOL CControlProxyView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CControlProxyView drawing

void CControlProxyView::OnDraw(CDC* pDC)
{
	CControlProxyDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CControlProxyView printing

BOOL CControlProxyView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CControlProxyView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CControlProxyView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CControlProxyView diagnostics

#ifdef _DEBUG
void CControlProxyView::AssertValid() const
{
	CView::AssertValid();
}

void CControlProxyView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CControlProxyDoc* CControlProxyView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CControlProxyDoc)));
	return (CControlProxyDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CControlProxyView message handlers

int CControlProxyView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	CRect rect(10,10,150,70);
	mycontrol.Create(NULL, WS_VISIBLE, rect, this, 123);
	mycontrol.SetAcquireData(true);
	
	return 0;
}

void CControlProxyView::OnCancelMode() 
{
	CView::OnCancelMode();
	
	// TODO: Add your message handler code here
	
}

BOOL CControlProxyView::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo) 
{
	if (nID == 123) 
	{
		//AFX_EVENT* pInfo;
		//pInfo = (AFX_EVENT)pExtra;
		int a = 1;
		a = a +2;
	}
	return CView::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}
