// EventTallyView.cpp : implementation file
//

#include "stdafx.h"
#include "UNL_MultiEd.h"
#include "EventTallyView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEventTallyView

IMPLEMENT_DYNCREATE(CEventTallyView, CFormView)

CEventTallyView::CEventTallyView()
	: CFormView(CEventTallyView::IDD)
{
	//{{AFX_DATA_INIT(CEventTallyView)
	m_sFirstPlace = _T("");
	m_sSecondPlace = _T("");
	m_sThirdPlace = _T("");
	//}}AFX_DATA_INIT
}

CEventTallyView::~CEventTallyView()
{
}

void CEventTallyView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEventTallyView)
	DDX_Control(pDX, IDC_EVENT_TALLY_PARTICIPANTS, m_slEventTalleyParticipants);
	DDX_Control(pDX, IDC_EVENT_LIST, m_cbEvents);
	DDX_Text(pDX, IDC_FIRST_PLACE, m_sFirstPlace);
	DDX_Text(pDX, IDC_SECOND_PLACE, m_sSecondPlace);
	DDX_Text(pDX, IDC_THIRD_PLACE, m_sThirdPlace);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEventTallyView, CFormView)
	//{{AFX_MSG_MAP(CEventTallyView)
	ON_BN_CLICKED(IDC_PLACE_PARTICIPANT, OnPlaceParticipant)
	ON_BN_CLICKED(IDC_TALLY_TOTALS, OnTallyTotals)
	ON_BN_CLICKED(IDC_CANCEL_TALLY_TOTALS, OnCancelTallyTotals)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEventTallyView diagnostics

#ifdef _DEBUG
void CEventTallyView::AssertValid() const
{
	CFormView::AssertValid();
}

void CEventTallyView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CEventTallyView message handlers

void CEventTallyView::OnPlaceParticipant() 
{
	// TODO: Add your control notification handler code here
	
}

void CEventTallyView::OnTallyTotals() 
{
	// TODO: Add your control notification handler code here
	
}

void CEventTallyView::OnCancelTallyTotals() 
{
	// TODO: Add your control notification handler code here
	
}
