// UNL_MultiEdView.h : interface of the CUNL_MultiEdView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_UNL_MULTIEDVIEW_H__C7525AEF_D9AE_11D2_9D8C_000000000000__INCLUDED_)
#define AFX_UNL_MULTIEDVIEW_H__C7525AEF_D9AE_11D2_9D8C_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CUNL_MultiEdView : public CEditView
{
protected: // create from serialization only
	CUNL_MultiEdView();
	DECLARE_DYNCREATE(CUNL_MultiEdView)

// Attributes
public:
	CUNL_MultiEdDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUNL_MultiEdView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CUNL_MultiEdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CUNL_MultiEdView)
	afx_msg void OnFileNew();
	afx_msg void OnFileOpen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in UNL_MultiEdView.cpp
inline CUNL_MultiEdDoc* CUNL_MultiEdView::GetDocument()
   { return (CUNL_MultiEdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UNL_MULTIEDVIEW_H__C7525AEF_D9AE_11D2_9D8C_000000000000__INCLUDED_)
