// xstringkeeper.h

#ifndef cxstringkeeper_h
#define cxstringkeeper_h

#include "stdtypes.h"
#include "stdafx.h"
#include <afxtempl.h>


/*****************************************************************************
**      CXStringKeeper Class..                                              **
**          Global class containing strings and lists used across all       **
**          documents of the application..  Instantiated in App...          **
*****************************************************************************/
class CXStringKeeper
{
    public:
        
		CXStringKeeper();
        virtual ~CXStringKeeper();


    private:

        CMapStringToString

        CMap <int, int, CString, CString> m_EventPlaceMap;
        CList <CString, CString>    m_slEventParticipants;

        BOOL                    m_bEditExisting;
        BOOL                    m_bIsLike;
        BOOL                    m_bArticleOnly;

        CXArticle*              p_cxaTheArticle;
        CXPageSpec*             p_cxpThePageSpec;

		// Document Templates..
        CMultiDocTemplate*		map_mdtDocumentTemplates[XWT_NUMBER];

};

#endif // contextmgr_h
