// plaincpp.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "string.h"

class CSimple
{
public:
	CSimple() { printf("in CSimple constuctor\n"); }
	~CSimple() { printf("in CSimple destructor\n"); }
};

class CException
{
private:
	int	m_iError;
	char m_szError[255];

public:
	CException() { m_iError = 0; m_szError[0] = '\0'; }
	int GetErrno( void ) { return m_iError; }
	void SetErrno( int error ) { m_iError = error; }
	int GetErrorMessage( char * lpszError, unsigned uMaxError )
	{
		if ( lpszError && (uMaxError > strlen( m_szError )) )
		{
			strncpy( lpszError, m_szError, uMaxError );
			return 1;
		}
		return 0;
	}
	void SetErrorMessage( char * lpszError )
	{
		strncpy(m_szError, lpszError, 255);
		m_szError[ 255 ] = '\0';
	}
};

int myFunc( void );

int okmain(int argc, char* argv[])
{
	try
	{
		// lots of logic ultimately causes the world to degrade
		// to the point that your code gives up...
		
		myFunc();

		throw "I'm melting...";
		throw 1.234;
		throw 9;
	}
	catch( int i)
	{
		printf("Saw the int exception %d\n", i);
	}
	catch( char * szCause )
	{
		printf("Saw the string exception - %s\n", szCause );
	}
	catch( CException e )
	{
		char szerr[ 255 ] = "/0";

		e.GetErrorMessage( szerr, 255 );
		printf("Saw CException %d - %s\n", e.GetErrno(), szerr );
	}
	catch(...)	//ellipsis handler must be last
	{
		printf("Saw some other kind of exception");
	}

	return 0;
}

int myFunc( void )
{
	CSimple * pSimple1 = new CSimple; // will not be deleted

	CException e;
	e.SetErrno( 99 );
	e.SetErrorMessage( "Throwing CExceptions" );
	
	throw e;

	return 0; // never reached
}
