//-----------------------------------------------------------------
// Projector Dialog Box Object
// C++ Header - ProjectorDlg.h
//-----------------------------------------------------------------

#ifndef __PROJECTORDLG_H__
#define __PROJECTORDLG_H__

//-----------------------------------------------------------------
// Inclusions
//-----------------------------------------------------------------
#include "Resource.h"
#include "MediaPlayer.h"

//-----------------------------------------------------------------
// CProjectorDlg Class - Projector Dialog Object
//-----------------------------------------------------------------
class CProjectorDlg : public CDialog {
  // Member Constants
  enum { IDD = IDD_PROJECTORBOX };

  // Member Data
protected:
  HICON         m_hIcon;
  CMediaPlayer* m_pMediaPlayer;

  // Public Constructor(s)/Destructor
public:
                  CProjectorDlg(CWnd* pParent = NULL);

  // Public Member Functions
public:
  virtual BOOL    OnInitDialog();

  // Message Handlers
public:
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void    OnPaint();
  afx_msg void    OnSysCommand(UINT nID, LPARAM lParam);
  afx_msg void    OnPBLoad();
  afx_msg void    OnPBPlay();
  afx_msg void    OnPBPause();
  afx_msg void    OnPBStop();

  // Message Map & Runtime Support
protected:
  DECLARE_MESSAGE_MAP()
};

#endif
